
void setup() {
  // PWMピンを出力に設定
  pinMode(5, OUTPUT);  //5番と6番は、左モーターに接続されている
  pinMode(6, OUTPUT);
  pinMode(9, OUTPUT);  //9番と10番は、右モーターに接続されている
  pinMode(10, OUTPUT);
}

void loop() {
  int sensorL0, sensorR0;  //センサの値を入れる変数を宣言
  //センサの値を読み取って、変数に入れる
  sensorL0 = analogRead(A0);   //A0は、L0(左の0番)のセンサ
  sensorR0 = analogRead(A1);   //A1は、R0(右の0番)のセンサ

  if(sensorL0 < 700){  //変数の値(センサの値)を比較して、モーターの回す方向を決める(左モーター)
    analogWrite(6, 0); //Left Motor 正転
    analogWrite(5, 150); 
  } else {
    analogWrite(6, 0); //Left Motor 停止
    analogWrite(5, 0); 
  }

  if(sensorR0 < 700){  //変数の値(センサの値)を比較して、モーターの回す方向を決める(右モーター)
    analogWrite(9, 0); //Left Motor 正転、
    analogWrite(10, 150);  //

  } else {
    analogWrite(9, 0); //Left Motor 停止
    analogWrite(10, 0); 
  }

  delay(50);
  analogWrite(6, 0); //Left Motor 停止
  analogWrite(5, 0); 
  analogWrite(9, 0); //Left Motor 停止
  analogWrite(10, 0); 
  delay(200); 
}

