

#ifndef VEHICLE_CONTROL_BUZZER_H
#define VEHICLE_CONTROL_BUZZER_H

void buzzer_init(void);     //このモジュールを初期化する
void buzzer_on(void);       //ブザーを鳴らし続ける(ピーーーーー)
void buzzer_off(void);      //ブザーを停止する
void buzzer_on_short(void); //ブザーを短時間鳴らす(ピッ！)
void buzzer_on_long(void);  //ブザーを短時間鳴らす(ピーーッ)
void buzzer_set_frequency(int freq);    //ブザー周波数を設定する
void buzzer_continue(void); //

void terminate_buzzer(void);    //ブザーのスレッドを終了する
#endif