#ifndef VEHICLE_CONTROL_LCD_H
#define VEHICLE_CONTROL_LCD_H

//LCDに表示できる文字数
#define LCD_MSG_LENGTH (17)

//LCDパネルの0行目か1行目か
typedef enum { LCD_LINE_0, LCD_LINE_1 } e_lcd_line;

void lcd_init(void);            //このモジュールを初期化する
void lcd_set_string(e_lcd_line line, char *str);  //LCDに文字列を設定し表示する
void lcd_putchar(char moji);    //LCDに1文字表示する
void lcd_cursor_on(void);       //カーソルを表示する
void lcd_cursor_off(void);      //カーソルを非表示にする
void lcd_clear(void);           //LCDに表示されている文字をすべて消す

#endif