#include "common.h"
#include "distance_sensor.h"

#include "vehicle_control_emergyency_break.h"



static e_emergyency_break_state emergyency_break_state;

void vehicle_control_emergyency_break_init(void)
{
	emergyency_break_state = EMERGYENCY_BREAK_NO_BARRIER_OBJECT;
}

void vehicle_control_emergyency_break_update_state(void)
{
	UINT16 distance_mm;
	distance_mm = distance_sensor_get_distance();
	if( distance_mm > 1500 ){
		emergyency_break_state = EMERGYENCY_BREAK_NO_BARRIER_OBJECT;
	} else if ( distance_mm > 1000 ){
		emergyency_break_state = EMERGYENCY_BREAK_BARRIER_OBJECT_FAR;
				
	} else if(distance_mm > 800 ){
		emergyency_break_state = EMERGYENCY_BREAK_BARRIER_OBJECT_NEAR;		
		
	}else if(distance_mm > 400 ){
		emergyency_break_state = EMERGYENCY_BREAK_BARRIER_OBJECT_CLOSE;		
		
	} else {
		emergyency_break_state = EMERGYENCY_BREAK_BARRIER_OBJECT_FRONT;		
		
	}
	
	return;
}


e_emergyency_break_state control_emergyency_break_get_state(void)
{
	
	return (emergyency_break_state);
}