//irq.c
#include "../iodefine.h"
#include "common.h"
#include "irq.h"

volatile static UINT16 timer_start;
volatile static UINT16 timer_end;
volatile static BOOL   timer_updated;
UINT16 timer_diff;

/* IRQ荞݂g P05_IRQ13, ZTo͂pX𑪒肷*/
void irq_init(void)
{
	PORT0.PDR.BIT.B5 = 0;
	PORT0.PMR.BIT.B5 = 1;		// @PB1Ӌ@\ŎgpƐݒ肷
	MPC.PWPR.BIT.B0WI = 0;		// A݃veNgWX^̋ݒ
	MPC.PWPR.BIT.PFSWE = 1;	
	MPC.P05PFS.BIT.ISEL = 1;	// BP05IRQ@\ŎgpƐݒ肷
	MPC.PWPR.BIT.B0WI = 1;		// C݃veNgWX^̋֎~ݒ
	MPC.PWPR.BIT.PFSWE = 0;	
	ICU.IRQCR[13].BIT.IRQMD = 0x3;	// DIRQ13̐Mo@𗼃GbWɐݒ肷
	IPR(ICU, IRQ13) = 14;		// EIRQ13̊荞ݗDxݒ肷
	IEN(ICU, IRQ13) = 1;		// FIRQ13̊荞ݗv
	
	timer_start = 0;
	timer_end = 0;
	
	timer_updated = FALSE;
	timer_diff = 0;
	
	return;
}


UINT16 irq_get_diff(void)
{
	
	if(timer_updated == TRUE){
		timer_diff = timer_end;// - timer_start;
	}
	return(timer_diff);
	
}


void excep_icu_irq13(void)
{
	if( PORT0.PIDR.BIT.B5 == 1){
		CMT1.CMCNT =0;
		//timer_start = CMT1.CMCNT;
	} else {
		timer_end = CMT1.CMCNT;
		timer_updated = TRUE;
	}

	return;
}



