//timer.c

#include "../iodefine.h"
#include "timer.h"
#include "common.h"

BYTE timer_1ms_pass;

void timer_init(void)
{
	timer_cmt0_init();
	timer_cmt1_init();
	timer_cmtw_init();
	
	return;
	
}

//^C}荞݂邽߂̏ݒ
void timer_cmt0_init(void)
{
	//CMT0́A1ms̃C̂Ɏg
	SYSTEM.PRCR.WORD = 0xA502;			// @MSTPCRAWX^veNg̉
	SYSTEM.MSTPCRA.BIT.MSTPA15 = 0;			// ACMT0̃XgbvԂ̉
	SYSTEM.PRCR.WORD = 0xA500;			// BMSTPCRAWX^veNg̐ݒ
	CMT0.CMCR.BIT.CKS= 0x0;				// CNbN̕ݒ: 1/8
	CMT0.CMCR.BIT.CMIE=1;				// DRyA}b`荞݂
	CMT0.CMCNT = 0x00;				// ECMCNT
	CMT0.CMCOR = 2499;				// FRyA}b`lݒ, 1ms, 
	IPR(CMT0, CMI0) = 15;				// FCMT0ACMI0̊ݗDxݒ
	IEN(CMT0, CMI0) = 1;				// GCMT0ACMI0̊荞ݗv
	CMT.CMSTR0.BIT.STR0 = 1;			// HStart CMT0
	
	timer_1ms_pass = 0x0;
	return;
}

void timer_cmt1_init(void)
{
	//CMT1́AZT̃pX𑪂̂Ɏg
	SYSTEM.PRCR.WORD = 0xA502;			// @MSTPCRAWX^veNg̉
	SYSTEM.MSTPCRA.BIT.MSTPA15 = 0;			// ACMT0̃XgbvԂ̉
	SYSTEM.PRCR.WORD = 0xA500;			// BMSTPCRAWX^veNg̐ݒ
	CMT1.CMCR.BIT.CKS= 0x0;				// CNbN̕ݒ: 1/8
	CMT1.CMCNT = 0x00;				// ECMCNT
	CMT1.CMCOR = 0xFFFF;				// FRyA}b`lݒ, 
	CMT.CMSTR0.BIT.STR1 = 1;			// HStart CMT1
	/* 1ms2500JEg */
	return;
	
}

void timer_cmtw_init(void)
{
	//CMTW
	SYSTEM.PRCR.WORD = 0xA502;			// @MSTPCRAWX^veNg̉
	SYSTEM.MSTPCRA.BIT.MSTPA1 = 0;			// ACMTW̃XgbvԂ̉
	SYSTEM.PRCR.WORD = 0xA500;			// BMSTPCRAWX^veNg̐ݒ
	CMTW0.CMWCR.BIT.CKS= 0x0;			// CNbN̕ݒ: 1/8
	CMTW0.CMWCR.BIT.CMS= 0x0;			// C^C}JE^rbgTCYF32bit
	CMTW0.CMWCNT = 0x00000000;			// ECMWCNT
	CMTW0.CMWCOR = 0xFFFFFFFF;			// FRyA}b`lݒ, 
	CMTW0.CMWSTR.BIT.STR = 1;			// HStart CMTW
	
	/* 1ms2500JEg */
	return;
	
}



//^C}荞݁Fintprg.cExcep_CMT0_CMI0ɒǉ
void isr_cmt0_cmi0(void)
{
	//tO̍XV
	timer_1ms_pass = 0x1;
	
	return;
}

UINT32 timer_get_freerun(void)
{
	return(CMTW0.CMWCNT);
}

/*
10usPʂł̏ŃEFCg
*/
void timer_wait_10us(unsigned int t){
	volatile int ti, tj;

	for (ti = 0; ti < t; ti++) {
		for (tj = 0; tj < 22; tj++) {
			// Ȃ
		}
	}
	
}