#include "common.h"
#include "spi.h"
#include "gyro_sensor.h"

//GYROZTL3GD20HSPIڑŎgp

 static SINT16 gyro_output_x;
 static SINT16 gyro_output_y;
 static SINT16 gyro_output_z;

void gyro_sensor_init(void)
{
	gyro_output_x = 0;
	gyro_output_y = 0;
	gyro_output_z = 0;
	//ZT̋@\L, 100HzœJn
	spi_write_data(0x20, 0x0F);
	
	return;
}


void gyro_sensor_update_value(void)
{
	UINT16 out_x, out_y, out_z;
	UINT16 data_L, data_H;
	
	data_L = spi_read_data(0x28 | 0x80 | 0x40);
	data_H = spi_read_data(0x29 | 0x80 | 0x40) & 0x00FF;
	
	out_x = ((data_H << 8) & 0xFF00 ) | data_L;

	data_L = spi_read_data(0x2A | 0x80 | 0x40);
	data_H = spi_read_data(0x2B | 0x80 | 0x40) & 0x00FF;
	
	out_y = ((data_H << 8) & 0xFF00 ) | data_L;

	
	data_L = spi_read_data(0x2C | 0x80 | 0x40);
	data_H = spi_read_data(0x2D | 0x80 | 0x40) & 0x00FF;
	
	out_z = ((data_H << 8) & 0xFF00 ) | data_L;
	
	gyro_output_x =out_x;
	gyro_output_y =out_y;
	gyro_output_z =out_z;

	return;
	
}

SINT16 gyro_sensor_get_raw_output_x(void)
{
	return(gyro_output_x);	
}


SINT16 gyro_sensor_get_raw_output_y(void)
{
	return(gyro_output_y);	
}

SINT16 gyro_sensor_get_raw_output_z(void)
{
	return(gyro_output_z);	
}
