

#ifndef MOTOR_H
#define MOTOR_H

#define MOTOR_LEFT  (1)
#define MOTOR_RIGHT (2)

#define ROT_CW      (1)
#define ROT_CCW     (2)

typedef enum {
	MOTOR_TYPE_POLOLU,
	MOTOR_TYPE_TSUKASA,
	NUMBER_OF_MOTOR_TYPE
} e_motor_type;

void set_motor_type(e_motor_type motor);



void motor_init(void);
void motor_update_speed(void);

void motor_set_speed(BYTE motor, SINT16 speed);

SINT16 motor_get_speed(BYTE motor);

#endif