#ifndef REMOTE_CONTROL_H
#define REMOTE_CONTROL_H

#include "common.h"

typedef struct {
	SINT16		throttle_L;
	SINT16		throttle_R;
	UINT8		sw_push0;
	UINT8		sw_push1;
	UINT8		sw_toggle0;
	UINT8		sw_toggle1;

} t_remote_control_value;


void remote_control_init(void);
void remote_control_check_command(void);
t_remote_control_value remote_control_get_current_value(void);

BOOL remote_control_is_new_data_applied(void);

#endif