
void setup() {
  // PWMピンを出力に設定
  pinMode(5, OUTPUT);
  pinMode(6, OUTPUT);
  pinMode(9, OUTPUT);
  pinMode(10, OUTPUT);


 Serial.begin(38400); //シリアル通信を初期化する。
}

void loop() {
  int sensorL0, sensorR0;


  sensorL0 = analogRead(A0);
  sensorR0 = analogRead(A1);

  if( (sensorL0 < 700) && (sensorR0 < 700)){
    motor_left_forward();
    motor_right_forward();
    delay(50);
  }

  if( (sensorL0 >= 700) && (sensorR0 < 700)){
    motor_left_stop();
    motor_right_forward();

    delay(50);
  }
    
  if( (sensorL0 < 700) && (sensorR0 >= 700)){

    motor_left_forward();
    motor_right_stop();
    delay(50);
  }


  if( (sensorL0 >= 700) && (sensorR0 >= 700)){

    motor_left_back();
    motor_right_back();
    delay(50);
  }


  motor_left_stop();
  motor_right_stop();
  delay(250); 

}

void motor_left_forward(void){
    analogWrite(6, 0); //Left Motor 正転
    analogWrite(5, 150);   
    //delay(50);
}

void motor_left_back(void){
    analogWrite(6, 150); //Left Motor 正転
    analogWrite(5, 0);   
    //delay(50);
}

void motor_left_stop(void){
    analogWrite(6, 0); //Left Motor 停止
    analogWrite(5, 0);   
    //delay(50);
}

void motor_right_forward(void){
    analogWrite(9, 0); //right Motor 正転
    analogWrite(10, 150);   
    //delay(50);
}

void motor_right_back(void){
    analogWrite(9, 150); //right Motor 正転
    analogWrite(10, 0);   
    //delay(50);
}


void motor_right_stop(void){
    analogWrite(9, 0); //right Motor 停止
    analogWrite(10, 0);   
    //delay(50);
}

