#ifndef CONTROL_SW_H
#define CONTROL_SW_H

//スイッチの状態を表す列挙体を宣言
typedef enum {SW_ON, SW_OFF, SW_TOGGLED_ON, SW_TOGGLED_OFF} e_sw_state;
//スイッチの番号を表す列挙体を宣言
typedef enum {SW_P0, SW_P1, SW_P2} e_sw_num;

void sw_init(void);     //このモジュールを初期化する
void sw_check(void);    //SWの状態をチェックする。10ms毎に呼び出すこと。

//スイッチの状態を取得して返す
e_sw_state sw_get_state(e_sw_num sw_num);


#endif