#ifndef CONTROL_UDP_RECV_H
#define CONTROL_UDP_RECV_H

#include <stdbool.h>

#define UDP_PAYLOAD_SIZE (1024)
#define UDP_PORT (12345)
void udp_recv_init(void);         //このモジュールを初期化する
void terminate_udp_recv(void);    //スレッドを終了する
void udp_recv_get_payload(char * payload);  //新たに受信したパケットのペイロード・データを取得する
bool udp_recv_is_new_data_arrived(void);    //前回ペイロード・データを取得して以降に、あらたなデータを受信したか

#endif