
#ifndef VEHICLE_CONTROL_COMMON_H
#define VEHICLE_CONTROL_COMMON_H

#define TIME_STR_MAX (128)  //時刻を表す文字列の長さ(byte)

void sleep_10ms(void);
void sleep_ms(unsigned int ms);  //指定された時間(ms)休止する
void sleep_us(unsigned int us);  //指定された時間(μs)休止する

void get_time_now(char *time_str);  //現在時刻を文字列で取得する
void terminate_all(void);  //すべてのスレッドを終了し、LEDを消灯するなどする

#endif