#ifndef VEHICLE_CONTROL_LED_H
#define VEHICLE_CONTROL_LED_H

//LEDの状態を列挙体で定義
typedef enum {LED_ON, LED_OFF} e_led_state;

//LEDの名前を列挙型で定義
typedef enum {
    LED_ST0,
    LED_ST1,
    LED_ST2,
    LED_IND0,
    LED_IND1,
    LED_IND2,
    LED_IND3,
    LED_IND4,
    LED_IND5,
    LED_IND6,
    LED_IND7,
} e_led;


void led_init(void);    //このモジュールを初期化する
void led_turn_off(e_led led);   //LEDを指定して消灯させる
void led_turn_on(e_led led);    //LEDを指定して点灯させる

void led_all_off(void);  //LEDをすべて消灯する

#endif
