

#ifndef READ_SW_H
#define READ_SW_H

typedef enum sw_name {
	START_OF_SW_NAME = 0,
	SW_P0 = 0,
	SW_P1,
	SW_P2,
	SW_T0,
	SW_T1,
	END_OF_SW_NAME

} e_sw_name;

typedef enum sw_state{
	START_OF_SW_STATE = 0,
	SW_STATE_UP = 0,
	SW_STATE_PUSHING,
	SW_STATE_PUSHED,
	SW_STATE_DOWN,
	SW_STATE_RELEASING,
	SW_STATE_RELEASED,
	END_OF_SW_STATE
} e_sw_state;

typedef enum sw_raw_state{
	SW_RAW_STATE_UP,
	SW_RAW_STATE_DOWN,
} e_sw_raw_state;


void read_sw_state_update(void);
void read_sw_init(void);
e_sw_state read_sw_state(e_sw_name sw);
#endif