#include "common.h"
#include "adc.h"
#include "reflect_sensor.h"

/*
		adc_get_value(AD_RS_OUT_L3),
		adc_get_value(AD_RS_OUT_L2),
		adc_get_value(AD_RS_OUT_L1),
		adc_get_value(AD_RS_OUT_L0),
		adc_get_value(AD_RS_OUT_R0),
		adc_get_value(AD_RS_OUT_R1),
		adc_get_value(AD_RS_OUT_R2),
		adc_get_value(AD_RS_OUT_R3),

*/

//#define SYOGOUKI
#define NIGOUKI

#define RS_THRESHOLD_VALUE  (2500)


/* ZTɂ΂z */

#define RS_THRESHOLD_VALUE_L0 RS_THRESHOLD_VALUE
#define RS_THRESHOLD_VALUE_L1 RS_THRESHOLD_VALUE
#define RS_THRESHOLD_VALUE_L2 RS_THRESHOLD_VALUE
#define RS_THRESHOLD_VALUE_L3 RS_THRESHOLD_VALUE
#define RS_THRESHOLD_VALUE_R0 RS_THRESHOLD_VALUE
#define RS_THRESHOLD_VALUE_R1 RS_THRESHOLD_VALUE
#define RS_THRESHOLD_VALUE_R2 RS_THRESHOLD_VALUE
#define RS_THRESHOLD_VALUE_R3 RS_THRESHOLD_VALUE


#ifdef SYOGOUKI


#undef RS_THRESHOLD_VALUE_L0
#undef RS_THRESHOLD_VALUE_L1
#undef RS_THRESHOLD_VALUE_L2
#undef RS_THRESHOLD_VALUE_L3
#undef RS_THRESHOLD_VALUE_R0
#undef RS_THRESHOLD_VALUE_R1
#undef RS_THRESHOLD_VALUE_R2
#undef RS_THRESHOLD_VALUE_R3


#define RS_THRESHOLD_VALUE_L0 2500
#define RS_THRESHOLD_VALUE_L1 2500
#define RS_THRESHOLD_VALUE_L2 2500
#define RS_THRESHOLD_VALUE_L3 2500
#define RS_THRESHOLD_VALUE_R0 2500
#define RS_THRESHOLD_VALUE_R1 2500
#define RS_THRESHOLD_VALUE_R2 2500
#define RS_THRESHOLD_VALUE_R3 2500

#endif

#ifdef NIGOUKI

#undef RS_THRESHOLD_VALUE_L0
#undef RS_THRESHOLD_VALUE_L1
#undef RS_THRESHOLD_VALUE_L2
#undef RS_THRESHOLD_VALUE_L3
#undef RS_THRESHOLD_VALUE_R0
#undef RS_THRESHOLD_VALUE_R1
#undef RS_THRESHOLD_VALUE_R2
#undef RS_THRESHOLD_VALUE_R3

#define SENSOR_OFFSET (0)

#define RS_THRESHOLD_VALUE_L0 2500 + SENSOR_OFFSET
#define RS_THRESHOLD_VALUE_L1 2500 + SENSOR_OFFSET
#define RS_THRESHOLD_VALUE_L2 2500 + SENSOR_OFFSET
#define RS_THRESHOLD_VALUE_L3 2500 + SENSOR_OFFSET
#define RS_THRESHOLD_VALUE_R0 2500 + SENSOR_OFFSET
#define RS_THRESHOLD_VALUE_R1 2500 + SENSOR_OFFSET
#define RS_THRESHOLD_VALUE_R2 2500 + SENSOR_OFFSET
#define RS_THRESHOLD_VALUE_R3 2500 + SENSOR_OFFSET

#endif

static e_reclect_sensor_value rs_value[END_OF_REFLECT_SENSOR_PORT];
void reflect_sensor_init(void)
{
	UINT8 count;
	for(count = START_OF_REFLECT_SENSOR_PORT; count < END_OF_REFLECT_SENSOR_PORT; count ++){
		rs_value[count] = RS_LINE_OFF;
	}
	return;
}


void reflect_sensor_control(void)
{
	UINT8 count;
	for(count = START_OF_REFLECT_SENSOR_PORT; count < END_OF_REFLECT_SENSOR_PORT; count ++){
		switch(count){
		case RS_OUT_L0:
			rs_value[RS_OUT_L0] = (adc_get_value(AD_RS_OUT_L0) >= RS_THRESHOLD_VALUE_L0) ?  RS_LINE_ON : RS_LINE_OFF;
			break;
		case RS_OUT_L1:
			rs_value[RS_OUT_L1] = (adc_get_value(AD_RS_OUT_L1) >= RS_THRESHOLD_VALUE_L1) ?  RS_LINE_ON : RS_LINE_OFF;
			break;
		case RS_OUT_L2:
			rs_value[RS_OUT_L2] = (adc_get_value(AD_RS_OUT_L2) >= RS_THRESHOLD_VALUE_L2) ?  RS_LINE_ON : RS_LINE_OFF;
			break;
		case RS_OUT_L3:
			rs_value[RS_OUT_L3] = (adc_get_value(AD_RS_OUT_L3) >= RS_THRESHOLD_VALUE_L3) ?  RS_LINE_ON : RS_LINE_OFF;
			break;
		case RS_OUT_R0:
			rs_value[RS_OUT_R0] = (adc_get_value(AD_RS_OUT_R0) >= RS_THRESHOLD_VALUE_R0) ?  RS_LINE_ON : RS_LINE_OFF;
			break;
		case RS_OUT_R1:
			rs_value[RS_OUT_R1] = (adc_get_value(AD_RS_OUT_R1) >= RS_THRESHOLD_VALUE_R1) ?  RS_LINE_ON : RS_LINE_OFF;
			break;
		case RS_OUT_R2:
			rs_value[RS_OUT_R2] = (adc_get_value(AD_RS_OUT_R2) >= RS_THRESHOLD_VALUE_R2) ?  RS_LINE_ON : RS_LINE_OFF;
			break;
		case RS_OUT_R3:	
			rs_value[RS_OUT_R3] = (adc_get_value(AD_RS_OUT_R3) >= RS_THRESHOLD_VALUE_R3) ?  RS_LINE_ON : RS_LINE_OFF;
			break;
		default:
			break;
			
		}
	

	}
	return;
}

e_reclect_sensor_value reflect_sensor_get_value(e_reflect_sensor_name sensor)
{
	return(rs_value[sensor]);
}