#ifndef REFLECT_SENSOR_H
#define REFLECT_SENSOR_H

typedef enum  {
	START_OF_REFLECT_SENSOR_PORT = 0,
	RS_OUT_L0  = 0,
	RS_OUT_L1,
	RS_OUT_L2,
	RS_OUT_R0,
	RS_OUT_R1,
	RS_OUT_R2,
	RS_OUT_L3,
	RS_OUT_R3,
	END_OF_REFLECT_SENSOR_PORT
} e_reflect_sensor_name; 

typedef enum {
	RS_LINE_OFF,
	RS_LINE_ON
} e_reclect_sensor_value;


void reflect_sensor_init(void);
void reflect_sensor_control(void);
e_reclect_sensor_value reflect_sensor_get_value(e_reflect_sensor_name sensor);
#endif