//ring_buffer.h

#include "common.h"

//dCN[hh~
#ifndef RING_BUFFER_H
#define RING_BUFFER_H

#define END_OF_DATA (0xFFFF)

UINT16 ringbuffer_tx_read_byte(void);
void   ringbuffer_tx_write_byte(BYTE data);
UINT16 ringbuffer_tx_get_unread_count(void);

UINT16 ringbuffer_rx_read_byte(void);
void   ringbuffer_rx_write_byte(BYTE data);
UINT16 ringbuffer_rx_get_unread_count(void);

UINT16 ringbuffer_rx_get_unread_line(void);

UINT16 ringbuffer_get_line(char *ptr_buf, UINT16 buf_size);

void ringbuffer_send_unsent(void);
BOOL ringbuffer_rx_is_newline(void);

#endif